/*
Author: Katina Cribbs
Date: 11/10/2024
File Name: styles.css
*/

/* CSS Reset */

body, header, nav, main, footer, img, h1, ul, section, aside, figure, figcaption {
    margin: 0;
    padding: 0;
    border: 0;
}

/* Style rules for header content */

img {
    max-width: 100%;
    display: block;
}

/* Style rule for box sizing applies to all elements */

* {
    box-sizing: border-box;
}

/* Style rules for header content */

header {
    text-align: center;
    font-size: 3em;
    color: #373684;
}

header h1 {
    font-family: 'DM Serif Display', serif;
}

/* Style rules for navigation area */

nav {
    background-color: #373684;
}

nav ul {
    list-style-type: none;
    margin: 0;
    text-align: center;
}

nav li {
    display: inline-block;
    font-size: 2em;
}

nav li a {
    display: block;
    color: #fff;
    text-align: center;
    padding: 0.5em 1em;
    text-decoration: none;
}

/* Style rules for main content */

main {
    padding: 2%;
    background-color: #e5e9fc;
    overflow: auto;
    font-family: 'Roboto', sans-serif;
}

main p {
    font-size: 1.25em;
}

.action {
    font-size: 1.25em;
    color: #373684;
    font-weight: bold;
}

#piano, #guitar, #violin {
    margin: 0 2%;
}

#info {
    clear: left;
    background-color: #c0caf7;
    padding: 1% 2%;
}

#info ul {
    margin-left: 10%;
}

.round {
    border-radius: 8px;
}

#contact, #rental h2, #form h2 {
    text-align: center;
}

.tel-link {
    background-color: #373684;
    padding: 2%;
    margin: 0 auto;
    width: 80%;
    text-align: center;
    border-radius: 5px;
}

.tel-link a {
    color: #fff;
    text-decoration: none;
    font-size: 1.5em;
    display: block;
}

#contact .email-link {
    color: #4645a8;
    text-decoration: none;
    font-weight: bold;
}

.map {
    border: 5px solid #373684;
    width: 95%;
    height: 50%;
}

/* Style rules for footer content */

footer {
    text-align: center;
    font-size: 0.65em;
    clear: left;
}

footer a {
    color: #4645a8;
    text-decoration: none;
}

@media only screen and (max-width:767px) {
    /* Style rules for mobile viewport */
    .mobile-nav a {
        color: #fff;
        text-align: center;
        font-size: 2em;
        text-decoration: none;
        padding: 3%;
        display: block;
    }
    .mobile-nav a.menu-icon {
        display: block;
        position: absolute;
        right: 0;
        top: 0;
    }
    .menu-icon div {
        height: 50px;
        width: 50px;
        background-color: #373684;
    }
    /* Hide tab-desk class */
    .tab-desk, #menu-links {
        display: none;
    }
    h1 {
        font-size: 0.75em;
        padding: 4%;
        margin-right: 15%;
    }
    /* Style rules for table */
    table {
        border: 1px solid #373684;
        border-collapse: collapse;
        margin: 0 auto;
        width: 100%;
    }
    caption {
        font-size: 1.5em;
        font-weight: bold;
        padding: 1%;
    }
    th, td {
        border: 1px solid #373684;
        padding: 2%;
    }
    th {
        background-color: #373684;
        color: #fff;
        font-size: 1.15em;
    }
    tr:nth-child(odd) {
        background-color: #b7b7e1;
    }
    /* Style rules for form element */
    fieldset, input {
        margin-bottom: 2%;
    }
    legend {
        font-weight: bold;
        font-size: 1.25em;
    }
    label {
        display: block;
        padding-top: 3%;
    }
    #submit {
        margin: 0 auto 0 auto;
        display: block;
        padding: 3%;
        background-color: #b7b7e1;
        font-size: 1em;
    }
    aside {
        text-align: center;
        font-size: 1.5em;
        font-weight: bold;
        color: #373684;
        text-shadow: 3px 3px 10px #8280cb;
    }
    figure {
        position: relative;
        max-width: 275px;
        margin: 2% auto;
        border: 8px solid #373684;
    }
    figcaption {
        position: absolute;
        bottom: 0;
        background: rgba(55, 54, 132, 0.7);
        color: #fff;
        width: 100%;
        padding: 5% 0;
        text-align: center;
        font-family: Verdana, Arial, sans-serif;
        font-size: 1.5em;
        font-weight: bold;
    }
    .social img{
        display: inline-block;
        padding: 4%;
    }
}

/* Media Query for Tablet Viewport*/

@media screen and (min-width: 550px) and (max-width:768px), print {
    /* Tablet Viewport: Show tab-desk class, hide mobile class */
    .tab-desk {
        display: block;
        font-size: 0.75em;
    }
    /* Tablet Viewport: Style rule for header content */
    span.tab-desk {
        display: inline;
    }
    header h1 {
        margin: 0;
        padding: 0;
        font-size: 2em;
    }
    /* Tablet Viewport: Style rules for nav area */
    nav li {
        border-top: none;
        display: inline-block;
        font-size: 1em;
        border-right: 1px solid #e5e9fc;
    }
    nav li:last-child {
        border-right: none;
    }
    nav li a {
        padding: 0.25em 0.5em 0.25em 0.5em;
    }
    .mobile, .mobile-nav {
        display: none;
    }
    /* Tablet Viewport: Style rule for map */
    .map {
        width: 500px;
        height: 450px;
    }
    table {
        border: 1px solid #373684;
        border-collapse: collapse;
        margin: 0 auto;
        width: 100%;
    }
    caption {
        font-size: 1.5em;
        font-weight: bold;
        padding: 1%;
    }
    th, td {
        border: 1px solid #373684;
        padding: 2%;
    }
    th {
        background-color: #373684;
        color: #fff;
        font-size: 1.15em;
    }
    tr:nth-child(odd) {
        background-color: #b7b7e1;
    }
    /* Tablet Viewport: Style rule for form element */
    #form {
        width: 70%;
        margin: 0 auto 0 auto;
    }
    fieldset, input {
        margin-bottom: 2%;
    }
    legend {
        font-weight: bold;
        font-size: 1.25em;
    }
    label {
        display: block;
        padding-top: 3%;
    }
    #submit {
        margin: 0 auto 0 auto;
        display: block;
        padding: 3%;
        background-color: #b7b7e1;
        font-size: 1em;
    }
    .grid {
        display: grid;
        grid-template-columns: 50% 50%;
        grid-gap: 20px;
    }
    aside {
        grid-column: 1 / span 2;
        text-align: center;
        font-size: 1.5em;
        font-weight: bold;
        color: #373684;
        text-shadow: 3px 3px 10px #8280cb;
    }
    figure {
        position: relative;
        max-width: 275px;
        margin: 2% auto;
        border: 8px solid #373684;
    }
    figcaption {
        position: absolute;
        bottom: 0;
        background: rgba(55, 54, 132, 0.7);
        color: #fff;
        width: 100%;
        padding: 5% 0;
        text-align: center;
        font-family: Verdana, Arial, sans-serif;
        font-size: 1.5em;
        font-weight: bold;
    }
    .copyright{
        float: left;
        width: 65%;
    }
    .social img{
        float: right;
        width: 5%;
        margin-right: 2%;
        margin-top: 0.5%;
    }
}

/* Media Query for Desktop Viewport */

@media screen and (min-width: 769px), print {
    nav li {
        border-right: 1px solid #e5e9fc;
    }
    nav li:last-child {
        border-right: none;
    }
    nav li a:hover {
        transform: scale(1.2);
    }
    .mobile, .mobile-nav {
        display: none;
    }
    /* Desktop Viewport: Style rule for header */
    header {
        padding: 2%;
    }
    /* Desktop Viewport: Style rules for main content */
    #info ul {
        margin-left: 5%;
    }
    main h3 {
        font-size: 1.5em;
    }
    #piano, #guitar, #violin {
        width: 29%;
        float: left;
        margin: 0 2% 0 2%;
    }
    /* Desktop Viewport: Style rules for table */
    table {
        border: 1px solid #373684;
        border-collapse: collapse;
        margin: 0 auto;
        width: 70%;
    }
    caption {
        font-size: 1.5em;
        font-weight: bold;
        padding: 1%;
    }
    th, td {
        border: 1px solid #373684;
        padding: 2%;
    }
    th {
        background-color: #373684;
        color: #fff;
        font-size: 1.15em;
    }
    tr:nth-child(odd) {
        background-color: #b7b7e1;
    }
    /* Desktop Viewport: Style rules for form elements */
    .form-grid {
        display: grid;
    }
    .btn {
        grid-column: 1 /span 2;
        background-color: #b7b7e1;
        margin: 0 auto 0 auto;
        display: block;
        font-size: 1em;
        padding: 1%;
    }
    label {
        display: block;
        padding-top: 3%;
    }
    .grid {
        display: grid;
        grid-template-columns: 24% 24% 24% 24%;
        grid-gap: 20px;
        margin: auto;
    }
    aside {
        grid-column: 1 / span 4;
        text-align: center;
        font-size: 1.5em;
        font-weight: bold;
        color: #373684;
        text-shadow: 3px 3px 10px #8280cb;
    }
    figure {
        position: relative;
        max-width: 275px;
        margin: 2% auto;
        border: 8px solid #373684;
    }
    figcaption {
        position: absolute;
        bottom: 0;
        background: rgba(55, 54, 132, 0.7);
        color: #fff;
        width: 100%;
        padding: 5% 0;
        text-align: center;
        font-family: Verdana, Arial, sans-serif;
        font-size: 1em;
        font-weight: bold;
    }
    .copyright{
        float: left;
        width: 65%;
    }
    .social img{
        float: right;
        width: 3%;
        margin-right: 2%;
        margin-top: 0.5%;
        margin-bottom: 0.5%;
    }
}

/* Media Query for Print */

@media print {
    body {
        background-color: #fff;
        color: #000;
    }
}